ruby1.8 (1.8.7.358-11) unstable; urgency=medium

  * Remove alternatives entries on preinst.
  * Drop tcl/tk support
  * Make ruby1.8 depend on ruby

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 07 Apr 2014 17:06:19 -0300

ruby1.8 (1.8.7.358-10) unstable; urgency=medium

  * Drop `Provides: ruby-interpreter` as ruby1.8 is deprecated, and will be
    removed soon. It should not be used anymore as a valid Ruby interpreter
    for packaged Ruby software. Closes: #734319
  * add debian/patches/newer-openssl.patch to ... build against the new
    openssl.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 06 Jan 2014 16:35:05 -0300

ruby1.8 (1.8.7.358-9) unstable; urgency=high

  * debian/patches/CVE-2013-4164.patch: CVE-2013-4164: Heap Overflow in
    Floating Point Parsing

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 02 Dec 2013 06:56:09 -0300

ruby1.8 (1.8.7.358-8) unstable; urgency=low

  * This is hopefully the last upload ever of ruby1.8
  * debian/control:
    + ruby1.8: drop `Provides: ruby` (Closes: #710022)
    + ruby1.8-dev: drop `Provides: ruby-dev`
    + ri1.8: drop `Provides: ri`
    + Build-Depends: add versioned depends on coreutils

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 10 Sep 2013 22:50:01 -0300

ruby1.8 (1.8.7.358-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add CVE-2013-4073.patch patch.
    CVE-2013-4073: Fix hostname check bypassing vulnerability in SSL client.
    (Closes: #714541)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 07 Jul 2013 14:10:32 +0200

ruby1.8 (1.8.7.358-7) unstable; urgency=high

  [ Salvatore Bonaccorso ]
  * Add CVE-2013-1821.patch patch.
    CVE-2013-1821: Fix entity expansion DoS vulnerability in REXML. When
    reading text nodes from an XML document, the REXML parser could be
    coerced into allocating extremely large string objects which could
    consume all available memory on the system. (Closes: #702526)

  [ Lucas Nussbaum ]
  * Reviewed and tested Salvatore's patch.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 12 Mar 2013 08:34:11 +0100

ruby1.8 (1.8.7.358-6) unstable; urgency=high

  * Timeout the execution of the tests after 2 hours. This should fix the
    build on kfreebsd-* (Closes: #691793) and hurd.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 31 Oct 2012 22:12:50 +0100

ruby1.8 (1.8.7.358-5) unstable; urgency=high

  * added debian/patches/CVE-2012-4481.patch to fix CVE-2012-4481
    (Closes: #689945)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 14 Oct 2012 19:45:52 -0300

ruby1.8 (1.8.7.358-4) unstable; urgency=low

  * debian/rules: avoid running DRB tests, since they crash and leave runaway
    processes that make buildds hang forever. With this, I expect that we
    don't need to set timeouts for the test suite at all (Closes: #674942).
  * Added patch by Steven Chamberlain to make ruby1.8-dev depend on gcc-4.6,
    since Ruby will hard code that as the compiler for building C extensions.
    Any C extension will FTBFS if gcc-4.6 is not installed (Closes: #675347).

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 01 Jun 2012 22:44:42 -0300

ruby1.8 (1.8.7.358-3) unstable; urgency=low

  * Guard test suit run with a explicit timeout to avoid FTBFS on kfreebsd-*
    due to a timeout after 150 minutes of inactivity (Closes: #673594). For
    now, the timeout is  1 hour, which should be enough time to run the test
    suite on other architectures, and is less than the 150 minutes tolerated
    by kfreebsd-*. Thanks to Steven Chamberlain.
  * Force compilation with gcc-4.6. This avoids segfaults when ruby1.8 is
    compiled with gcc-4.7 (See #674541).
  * debian/patches/use-ldflags.patch: patch by Simon Ruderich to make Ruby
    use any existing LDFLAGS environment variable. This should make ruby1.8 be
    properly built with hardening (Closes: #667957).

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 24 May 2012 22:19:52 -0300

ruby1.8 (1.8.7.358-2) unstable; urgency=low

  * Marking 2 symbols as specific to 64-bit architectures. This should fix the
    build on all non-64-bit architectures.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 22 Apr 2012 11:43:29 -0300

ruby1.8 (1.8.7.358-1) unstable; urgency=low

  * New upstream release
    + Fixes vulnerability against algorithmic complexity attacks on hashes.
      This fixes CVE-2011-4815 and Closes: #658072
    + Fixes vulnerability in OpenSSL (CVE-2011-3389)
  * Added myself to Uploaders.
  * Remove -V from the dh_makeshlibs call; use a symbols file for libruby1.8
    instead. This way we don't force the latest version as a dependency for
    packages that link to libruby1.8. (Closes: #636975).
  * Enable hardened build flags with a patch by Moritz Muehlenhoff - thanks!
    (Closes: #667957)
  * Suggests ruby-switch (Closes: #654311)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 21 Apr 2012 12:36:00 -0300

ruby1.8 (1.8.7.352-2) unstable; urgency=low

  * Add -fno-tree-sra on armel. Workaround that Closes: #634260

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 24 Jul 2011 12:30:48 +0200

ruby1.8 (1.8.7.352-1) unstable; urgency=low

  * New upstream release.
    + debian/patches/110411_disable_osslv2.patch: not needed anymore
  * Backport r30993 from the ruby_1.9 branch to fix CVE-2011-0188.
    Closes: #628452
  * Build-depend on tcl-dev and tk-dev instead of 8.4.
  * Add debian/patches/tcltk-no-rpath.patch: disable rpath in
    the tcltk extension.

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 03 Jul 2011 19:00:52 +0200

ruby1.8 (1.8.7.334+svn31904-1) experimental; urgency=low

  * new upstream snapshot from SVN revision 31904.
  * Update Lucas' email address.
  * Bump Standards-Version to 3.9.2. No changes needed.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 15 Jun 2011 11:47:48 +0200

ruby1.8 (1.8.7.334-5) unstable; urgency=low

  * Build depend on libreadline-gplv2-dev instead of libreadline5-dev. Ruby
    is dual-licensed under GPLv2 (only) || Ruby license, so we cannot use
    libreadline6-dev. Closes: #625855

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 15 May 2011 10:49:09 +0200

ruby1.8 (1.8.7.334-4) unstable; urgency=low

  * Drop ruby1.8-elisp. The Ruby emacs mode is now provided in emacs 23.
    All the open bugs were mentioned to an upstream developer, who fixed the
    ones that still affected ruby-mode.
    Closes: #502926, #527266, #192647, #282796, #366045, #373199, #411173.
    Closes: #468952, #619754, #489355.
  * Add patch 110411_disable_osslv2.patch
    Disables SSLv2. Closes: #621509
  * Move the ri1.8 binary and manpage to the ruby1.8 package. ri1.8 still
    exists, but only contains the documentation. This is needed to
    Closes: #621058.
  * Make libruby1.8 Conflict, Replace irb1.8, rdoc1.8. Closes: #608582

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 12 Apr 2011 11:50:53 +0200

ruby1.8 (1.8.7.334-3) unstable; urgency=low

  * Remove --with-lookup-order-hack=INET. That breaks IPv6-only systems.
    Closes: #619209

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 25 Mar 2011 15:48:05 +0100

ruby1.8 (1.8.7.334-2) unstable; urgency=low

  * Switch to git. Update Vcs-* fields.
  * Upload to unstable.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 25 Mar 2011 10:07:59 +0100

ruby1.8 (1.8.7.334-2~experimental.1) experimental; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Add a 'nordoc' option for DEB_BUILD_OPTIONS
  * Switch to alternatives to manage ruby, rdoc, ri, ...
  * Add a ruby1.8-full metapackage.
  * Upload to experimental. Changes are very intrusive and need
    extensive testing.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 05 Mar 2011 20:43:46 +0100

ruby1.8 (1.8.7.334-1) unstable; urgency=low

  * New upstream release. (Closes: #615279)
    - (CVE-2011-1005; Closes: #615517)
    - (CVE-2011-1004; Closes: #615518)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 27 Feb 2011 13:12:03 +0900

ruby1.8 (1.8.7.302-2) unstable; urgency=high

  * Add debian/patches/100901_threading_fixes.patch. Fixes threading
    problems on Debian GNU/kFreeBSD exhibited by puppet.
    Thanks to Petr Salinger and Aurélien Jarno. Closes: #595034

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 01 Sep 2010 12:08:48 +0200

ruby1.8 (1.8.7.302-1) unstable; urgency=high

  * New upstream release in the stable 1.8.7 branch (very minor changes only).
    + Fixes CVE-2010-0541.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 16 Aug 2010 11:23:16 +0200

ruby1.8 (1.8.7.299-2) unstable; urgency=low

  * Convert from dpatch to quilt using dpatch2quilt.sh
  * Add patch 100730_disable_getsetcontext_on_nptl: disable getsetcontext on
    NPTL. LP: #307462, Closes: #579229
  * Added 100730_verbose-tests.patch: run tests in verbose mode.
  * Run make test-all, but do not consider failures fatal for now.
  * Upgrade to Standards-Version: 3.9.1. No changes needed.
  * Deal with Ubuntu changing the GCC target to i686-linux-gnu: search
    for libs in i486-linux too. LP: #611322.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 30 Jul 2010 17:45:14 -0400

ruby1.8 (1.8.7.299-1) unstable; urgency=low

  * New upstream release
  * Removed patches that the upstrem has applied:
    - debian/patches/100312_timeout-fix.dpatch
    - debian/patches/100620_fix_pathname_warning.dpatch
    - debian/patches/100620_fix_super_called_outside_of_method.dpatch

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 27 Jun 2010 22:16:44 +0900

ruby1.8 (1.8.7.249-4) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Make ruby1.8 depend on exactly the same version of libruby1.8 after
    private discussion with Alex Legler. This avoids confusing situations
    for users.
  * Update debian/patches/100312_timeout-fix.dpatch after discussion with
    Petr Salinger. Treat FreeBSD the same as Linux. Closes: #580464

  [ Daigo Moriwaki ]
  * Removed debian/patches/091125_gc_check.dpatch, which the upstream has
    applied. (Closes: #586374)
  * Added debian/patches/100620_fix_pathname_warning.dpatch, which was
    backported from the upstream r23485. 
    (Closes: #566611)
  * Added debian/patches/100620_fix_super_called_outside_of_method.dpatch,
    which was backported from the upstream r26534:26536. (Closes: #568597)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 20 Jun 2010 17:30:27 +0900

ruby1.8 (1.8.7.249-3) unstable; urgency=low

  * Fix sections. Agree with ftpmasters.
  * Update debian/copyright. Clarify that Ruby is GPLv2, not just "GPL".
  * Merge lib{dbm,gdbm,readline,openssl}-ruby1.8 into libruby1.8.
  * Merge irb1.8 and rdoc1.8 into ruby1.8.
  * Update lintian override.
  * Update debian/copyright.
  * Upgrade to Standards-Version: 3.8.4. No changes needed.
  * Add README.source.
  * Fix not-binnmuable-all-depends-any lintian warning.
  * Add lintian override for package-name-doesnt-match-sonames.
  * Remove duplicate section/priority stanzas.
  * Fix a few minor problems in manpages.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 23 Mar 2010 13:21:22 +0100

ruby1.8 (1.8.7.249-2) unstable; urgency=low

  * Add 100312_timeout-fix.dpatch: Backport upstream change to fix
    problem with threads and timeouts. Closes: #539987

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 12 Mar 2010 07:13:47 +0100

ruby1.8 (1.8.7.249-1) unstable; urgency=high

  * New upstream release.
  * The upstream has fixed a vulnerability in WEBrick, a part of Ruby's
    standard library.  WEBrick lets attackers to inject malicious escape
    sequences to its logs, making it possible for dangerous control characters
    to be executed on a victim's terminal emulator.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 10 Jan 2010 22:40:36 +0900

ruby1.8 (1.8.7.248-1) unstable; urgency=low

  * New upstream release
  * Removed patches that the upstream has been applied:
    - debian/patches/904_rexml_text.dpatch
    - debian/patches/090811_thread_and_select.dpatch
    - debian/patches/090812_finalizer_at_exit.dpatch
    - debian/patches/090812_class_clone_segv.dpatch
    - debian/patches/090812_eval_long_exp_segv.dpatch

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 03 Jan 2010 14:46:17 +0900

ruby1.8 (1.8.7.174-3) unstable; urgency=low

  * Added debian/patches/091125_gc_check.dpatch: applied Bryan's patch to fix
    garbage collector seg faults under race conditions. (upstream issue #2326)
    Thans to Bryan McLellan.  (Closes: #557924)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 28 Nov 2009 12:50:08 +0900

ruby1.8 (1.8.7.174-2) unstable; urgency=medium

  [ akira yamada ]
  * Added debian/patches/090811_thread_and_select.dpatch: threads may hangup
    when IO.select called from two or more threads.
  * Added debian/patches/090812_finalizer_at_exit.dpatch: finalizers should be
    run at exit (Closes: #534241)
  * Added debian/patches/090812_class_clone_segv.dpatch: avoid segv when an
    object cloned.  (Closes: #533329)
  * Added debian/patches/090812_eval_long_exp_segv.dpatch: fix segv when eval
    a long expression.  (Closes: #510561)
  * Added debian/patches/090812_openssl_x509_warning.dpatch: suppress warning
    from OpenSSL::X509::ExtensionFactory.  (Closes: #489443)

  [ Lucas Nussbaum ]
  * Removed Fumitoshi UKAI <ukai@debian.or.jp> from Uploaders. Thanks a
    lot for the past help! Closes: #541037

  [ Daigo Moriwaki ]
  * debian/fixshebang.sh: skip non-text files, which works around hanging of
    sed on scanning gif images.
  * Bumped up Standards-Version to 3.8.2.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 19 Aug 2009 20:24:37 +0900

ruby1.8 (1.8.7.174-1) unstable; urgency=low

  * New upstream release.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 16 Jun 2009 23:16:51 +0900

ruby1.8 (1.8.7.173-1) unstable; urgency=high

  * New upstream release.
  * removed unnecessary patchs under debian/patches:
    - 168_rexml_dos.dpatch
    - 801_update_sample_README
    - 807_sync_try_lock_always_fail.dpatch
    - 905_class_dup_should_copy_constants.dpatch
    - 090301_r22646_OCSP_basic_verify.dpatch
  * Added a patch: debian/patches/090613_exclude_rdoc.dpatch
  * Added debian/libopenssl-ruby1.8.lintian-overrides
  * The upstream has fixed the DoS vulnerability in BigDecimal Ruby
    Library (CVE-2009-1904; Closes: #532689)
  * debian/control:
    - Bumped up Standards-Version to 3.8.1.
    - Corrected sections.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 13 Jun 2009 11:34:34 +0900

ruby1.8 (1.8.7.72-3.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add upstream patch to properly check return values of the
    OCSP_basic_verify function (CVE-2009-0642; Closes: #522939,#517639)

 -- Nico Golde <nion@debian.org>  Tue, 07 Apr 2009 15:52:53 +0200

ruby1.8 (1.8.7.72-3) unstable; urgency=medium

  * applied debian/patches/905_class_dup_should_copy_constants.dpatch:
    - Class#dup should copy constants into the duplicated class.
      (closes: #506344)

 -- akira yamada <akira@debian.org>  Tue, 06 Jan 2009 10:56:56 +0900

ruby1.8 (1.8.7.72-2) unstable; urgency=high

  * updated 168_rexml_dos.patch:
    - fixed regression of fix of REXML DoS vulnerability (CVE-2008-3790)
      (ref: #502535)

 -- akira yamada <akira@debian.org>  Thu, 13 Nov 2008 10:19:49 +0900

ruby1.8 (1.8.7.72-1) unstable; urgency=high

  * New upstream release.
    - many patches in 1.8.7.22-4 were simply backported from upstream SVN, and
      are integrated into that release. We drop those:
      + 103_array_c_r17472_to_r17756.dpatch
      + 810_ruby187p22_fixes.dpatch
      + 811_multiple_vuln_200808.dpatch
    - Fixes the following security issues: (Closes: #494401)
      * Several vulnerabilities in safe level
      * DoS vulnerability in WEBrick
      * Lack of taintness check in dl
      * DNS spoofing vulnerability in resolv.rb (CVE-2008-1447)
  * Applied debian/patches/168_rexml_dos.dpatch:
    Fix CVE-2008-3790 (REXML expansion DOS). Closes: #496808.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 10 Sep 2008 10:27:45 +0200

ruby1.8 (1.8.7.22-4) unstable; urgency=high

  * applied debian/patches/811_multiple_vuln_200808:
    fixed multiple vulnerabilities issued at
    <http://www.ruby-lang.org/en/news/2008/08/08/multiple-vulnerabilities-in-ruby/>
    and
    <http://www.ruby-lang.org/en/news/2008/08/11/ruby-1-8-7-p72-and-1-8-6-p287-released/>.
    - v_1_8_7_32 - untrace_var is permitted at safe level 4
    - v_1_8_7_35 - $PROGRAM_NAME may be modified at safe level 4
    - v_1_8_7_33 - Insecure methods may be called at safe level 1-3
    - v_1_8_7_44 - Syslog operations are permitted at safe level 4
    - v_1_8_7_69 - DoS vulnerability in WEBrick
    - v_1_8_7_72 - Lack of taintness check in dl
    - v_1_8_7_71 - DNS spoofing vulnerability in resolv.rb

 -- akira yamada <akira@debian.org>  Tue, 12 Aug 2008 09:44:52 +0900

ruby1.8 (1.8.7.22-3) unstable; urgency=medium

  * applied debian/patches/810_ruby187p22_fixes.dpatch:
    fixed incompatibilities and degreades about Ruby 1.8.7 and 1.8.7-p22.
    - v1_8_7_23: incompatibility about class methods.
    - v1_8_7_46: cgi.rb shouldn't reject filenames which include spaces.
    - v1_8_7_39: self concat of string issue
    - v1_8_7_47: respond_to? issue
    - v1_8_7_51: Float#to_i gives incorrect sign in x86_64_linux
      <http://rubyforge.org/tracker/index.php?func=detail&aid=14102&group_id=426&atid=1698>
    - v1_8_7_54: [ruby-core:17491] [Ruby 1.8.7 - Bug #213] (Open) Different
      ERB behavior across versions
    - v1_8_7_58: IPAddr.new("192.168.1.1").to_range raise an exception
      [ruby-dev:35091]
    - v1_8_7_59: Zlib::GzipWriter#mtime= sets wrong mtime for Time on 1.8
    - v1_8_7_60: XMLRPC::Client#do_rpc should require webrick/cookie.
      <http://rubyforge.org/tracker/index.php?func=detail&aid=21139&group_id=426&atid=1698>

 -- akira yamada <akira@debian.org>  Tue, 22 Jul 2008 11:51:53 +0900

ruby1.8 (1.8.7.22-2) unstable; urgency=low

  * applied debian/patches/103_array_c_r17472_to_r17756.dpatch:
    - fixed an integer overflow bug.

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 03 Jul 2008 23:49:52 +0900

ruby1.8 (1.8.7.22-1) unstable; urgency=high

  * New upstream release.
  * Fixed vulnerability: arbitrary code execution vulnerability and so on
    (Closes: #487238)

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 20 Jun 2008 23:24:07 +0900

ruby1.8 (1.8.7.17-1) unstable; urgency=low

  * New upstream release.
  * removed patches that the upstream has included:
    - debian/patches/201_erb_187_release.dpatch
    - debian/patches/202_delegate_187_release.dpatch
    - debian/patches/203_openssl_ctx_r187_release.dpatch
  * debian/watch: it will report 1.8.\d-p\d* versions.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 11 Jun 2008 21:08:19 +0900

ruby1.8 (1.8.7-2) unstable; urgency=low

  [ Daigo Moriwaki ]
  * applied debian/patches/201_erb_187_release.dpatch: 
    - fixed a bug where tokens are not yilelded one by one.
    - fixed a bug caused by strscan incompatibility.
  * applied debian/patches/202_delegate_187_release.dpatch:
    - fixed a bug caused by marshal.c incompatibility.
  
  [ Lucas Nussbaum ]
  * applied debian/patches/203_openssl_ctx_r187_release.dpatch:
    - might help with Debian bug #483974

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 04 Jun 2008 22:45:19 +0900

ruby1.8 (1.8.7-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: corrected permissions of the header files.

 -- akira yamada <akira@debian.org>  Sun, 01 Jun 2008 20:51:06 +0900

ruby1.8 (1.8.7~preview2-1) unstable; urgency=low

  * new upstream release. (1.8.7-preview2)
    - removed unnecessary patches:
      - debian/patches/802_delegate.rb.patch.dpatch
      - debian/patches/805_ruby-bugs-11507.dpatch
      - debian/patches/100_CVE-2007-5162.dpatch

 -- akira yamada <akira@debian.org>  Tue, 22 Apr 2008 10:56:38 +0900

ruby1.8 (1.8.6.114-2) unstable; urgency=low

  * No longer build using gcc-4.1 on m68k. Use the default gcc version.
    (Closes: #463297)
  * Added patch 102_configure.in-crosscompile to allow cross-compiling
    (Closes: #341256)
  * Add -g to CFLAGS (noticed by the Ubuntu folks).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 21 Mar 2008 11:56:47 +0100

ruby1.8 (1.8.6.114-1) unstable; urgency=medium

  [ Daigo Moriwaki ]
  * New upstream release
    - fixed a file access vulnerability of WEBrick (Closes: #469475)
    - removed an unnecessary patch:
      debian/patches/808_rexml_document_transitive
  * debian/control:
    - improved description of libopenssl-ruby1.8.  (Closes: #469366)
    - added a conflict against the older version in libopenssl-ruby1.8,
      which makes it easy to upgrade Etch to Lenny. (Closes: #466232)
    - ruby1.8-dev now depends on libc6-dev. (Closes: #466190)

  [ Lucas Nussbaum ]
  * debian/control: Added Homepage and Vcs-* fields.
  * Added 809_update_lib_README.dpatch: remove mkmf.rb from
    lib/README. Closes: #414727.
  * Improved description of ruby1.8-dev.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 05 Mar 2008 22:17:08 +0900

ruby1.8 (1.8.6.111-4) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Fixed debian/watch file to correctly report versions with -p.
    Also use FTP PASV mode, so it works even in firewalled networks.

  [ Daigo Moriwaki ]
  * applied debian/patches/904_rexml_text.dpatch: 
      - rcov may crash because of backwards incompatibility. This fix is a
        back port from the upstream (r14826-15141). 
        Thanks to Antonio Terceiro. (closes: #462902)

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 28 Jan 2008 23:44:29 +0900

ruby1.8 (1.8.6.111-3) unstable; urgency=low

  [ Lucas Nussbaum ]
  * added myself to Uploaders:.

  [ Daigo Moriwaki ]
  * debian/rules: recognized i586 and i686 as well as i486.
    (closes: #452548)
  * debian/control: bumped up Standards-Version to 3.7.3.
  * debian/rules: COPYING*, which are extra license files, are no longer
    packaged.
  * libtcltk-ruby1.8
    - eliminated an executable permission from
      ./ext/tk/sample/tkextlib/tktable/tcllogo.gif

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 10 Jan 2008 23:29:32 +0900

ruby1.8 (1.8.6.111-2) unstable; urgency=low

  * applied debian/paches/808_rexml_document_transitive.dpatch:
      - Document#write undefined local variable or method `transitive'.
        (closes: #447834)

 -- akira yamada <akira@debian.org>  Wed, 24 Oct 2007 12:21:04 +0900

ruby1.8 (1.8.6.111-1) unstable; urgency=high

  * new upstream version 1.8.6-p111.
      - removed patches which are included in upstream:
        804_strcut_clone_leaks_memory.dpatch 806_c++_compile_error.dpatch
        808_sparc_flushw.dpatch 904_rdoc_dot_version.dpatch
  * applied debian/patches/100_CVE-2007-5162.dpatch:
      - security fixes for CVE-2007-5162.  It is backported r13657 from
        ruby_1_8 branch.
  * debian/ruby1.9-elisp.emacsen-startup: uses "\\\\'" for ignore newlines in
    filenames.  (ref: #446180)  Thanks to Trent W. Buck.
  * debian/control: added Daigo Moriwaki to uploaders and removed Akira Tagoh
    from uploaders.

 -- akira yamada <akira@debian.org>  Thu, 18 Oct 2007 09:56:39 +0900

ruby1.8 (1.8.6.36-3) unstable; urgency=low

  * debian/rules: added -g option to CFLAGS.  (closes: #434453)

 -- akira yamada <akira@debian.org>  Thu, 06 Sep 2007 11:19:03 +0900

ruby1.8 (1.8.6.36-2) unstable; urgency=low

  * applied patches:
    - debian/patches/808_sparc_flushw.dpatch: call "ta 0x03" even on
      Linux/Sparc.  [ruby-dev:31674] (closes: #393817)

 -- akira yamada <akira@debian.org>  Thu, 06 Sep 2007 09:43:34 +0900

ruby1.8 (1.8.6.36-1) unstable; urgency=low

  * new upstream release 1.8.6-p36.
    - Fix a bug in Etc::getgrgid() always returning the (real) group entry of
    the running process.  [ruby-dev:30586] (closes: #426200)
  * applied patches:
    - debian/patches/804_strcut_clone_leaks_memory.dpatch: Struct#clone leaks
      memory.  [ruby-dev:31168]
    - applied debian/patches/805_ruby-bugs-11507.dpatch:
      ConditionVariable#wait may raise "not owner" exceptions.
    - applied debian/patches/806_c++_compile_error.dpatch: fixed compile
      errors on C++ extension libraries.
    - applied debian/patches/807_sync_try_lock_always_fail.dpatch:
      Sync#try_lock always fails due to wrong variable name.  (closes: 429686)
      Thanks: Dmitry Borodaenko
  * debian/rules: fixed wrong arch_name for arm-linux-gnueabi.
    (closes: #432863)
  * debian/control: ruby1.8-elisp depends on "emacs | emacsen". 
    (closes: #433984)

 -- akira yamada <akira@debian.org>  Mon, 23 Jul 2007 11:27:51 +0900

ruby1.8 (1.8.6-2) unstable; urgency=low

  * rdoc1.8 should accept graphviz 2.x.  (closes: #425000)
  - applied the patch from Paul van Tilburg.  thanks.

 -- akira yamada <akira@debian.org>  Mon, 18 Jun 2007 10:59:40 +0900

ruby1.8 (1.8.6-1) unstable; urgency=low

  * new upstream version, 1.8.6.
  * libruby1.8 conflicts with libopenssl-ruby1.8 (< 1.8.6) (closes: #410018)
  * changed packaging style to cdbs from dbs.

 -- akira yamada <akira@debian.org>  Tue, 13 Mar 2007 22:11:58 +0900

ruby1.8 (1.8.5-4) unstable; urgency=high

  * applied debian/patches/149_bignum_to_s.patch:
      - Bignum#to_s(10) broken.  [ruby-dev:29710]
  * applied debian/patches/150_time_dup.patch:
      - duplicate the class of original time.  [ruby-core:09357]
  * applied debian/patches/151_super.patch:
      - fixed bug of zsuper with both of opt and rest.  fixed:
        [ruby-list:42928]
  * applied debian/patches/152_dir_glob.patch:
      - get rid of possible memory leak.
  * applied debian/patches/153_set_xor.patch:
      - fixed XOR operation against a container that holds duplicate values.
        [issue: #6444]
  * applied debian/patches/154_parse.y_segv.patch:
      - '().."' dumps core.  [ruby-dev:29732]
  * applied debian/patches/155_imap_nomodseq.patch and
    debian/patches/803_imap_nomodseq.patch.
  * applied debian/patches/156_rss_needless_include.patch:
      - removed needless include.
  * applied debian/patches/157_eval_iter_pre.patch:
      - ruby_block may be NULL even when ITER_PRE.
  * applied debian/patches/158_file_supplementray_group.patch:
      - File should honor supplementary group IDs.  [ruby-core:09546]
  * applied debian/patches/159_implicit_visibility.patch:
      - set implicit visibility only when it's called for the target class.
  * applied debian/patches/160_bignum_segv.patch:
      - aBignum*aFloat dumps core.  [ruby-list:43012]
  * applied debian/patches/161_sprintf_width.patch:
      - need not to truncate string if no width specifier given for %s.
        [ruby-dev:29952]
  * applied debian/patches/162_ossl_oscperror.patch:
      - OpenSSL::OCSP::OSCPError should be subclass of OpenSSL::OpenSSLError.
        [ruby-dev:29980]
  * applied debian/patches/163_cgi.rb_quote_boundary.patch:
      - [security] invalid multipart boundary can make cgi.rb infinite loop
        and CPU consumption.  (JVN#84798830)
  * added notes for HTTP_PROXY environment variable to README.Debian.
    (closes: #396304, #399706)

 -- akira yamada <akira@debian.org>  Mon,  4 Dec 2006 10:12:29 +0900

ruby1.8 (1.8.5-3) unstable; urgency=medium

  * removed debian/patches/801_imap_extraspace.patch and
    added debian/patches/128_imap_extraspace.patch:
      - the fix is included into upstream CVS.
  * renamed debian/patches/802_rdoc_nameerror.patch to
    debian/patches/129_rdoc_nameerror.patch:
      - the fix is included into upstream CVS.
  * applied debian/patches/130_empty_content.patch:
      - invalid multipart data can make cgi.rb infinite loop and CPU
        consumption.  (CVE-2006-5467)
  * applied debian/patches/131_sandbox.patch:
      - added Thread#kill!.  [ruby-core:08768]
  * applied debian/patches/132_update_docs.patch:
      - small fixes and updates for rdocs.
  * applied debian/patches/133_array.patch:
      - fixed a potential leaks caused by shift.  [ruby-talk:216055]
        [ruby-core:08922] [ruby-list:42907]
  * applied debian/patches/134_dir_checkdir.patch:
      - internal existence test for "/" fails anytime. [ruby-core:08913]
  * applied debian/patches/135_mkmf.patch:
      - set default $LDFLAGS.  [ruby-talk:216256]
      - check function pointer first and macro next.  [ruby-core:08949]
      - fixed the bug of handling COMMON_MACROS.
  * applied debian/patches/137_jcode.patch:
      - succ! in jcode.rb doesn't work on $KCODE == 'n'.  [ruby-talk:216845]
  * applied debian/patches/138_eval.patch:
      - check protected visibility based on real self, not ruby_frame->self.
        [ruby-talk:217822]
  * applied debian/patches/139_include_module.patch:
      - remove unnecessary check.  [ruby-talk:218402]
  * applied debian/patches/140_bignum_shift.patch:
      - a bug in right shift of negative bignums.  [ruby-core:09020]
  * applied debian/patches/141_rexml_enc.patch:
      - spaces are allowed around equal sign.  [ruby-core:09032]
  * applied debian/patches/142_wrong_id_check.patch:
      - wrong id check.  [ruby-core:09158]
      - typo fixed.  [ruby-core:09168]
  * applied debian/patches/143_rb_warning.patch:
      - some error message may contain format specifiers.  [ruby-dev:29657]
  * applied debian/patches/144_parse.y.patch.patch:
      - no need to re-create NODE_SELF() again.  [ruby-core:09177]
      - use particular enums.  [ruby-core:09221]
  * applied debian/patches/145_signal.patch:
      - handle SIGTERM.  [ruby-list:42895]
      - don't set SA_RESTART.  a backport from the HEAD.  [ruby-talk:220937]
        [ruby-talk:147220]
  * applied debian/patches/146_string_tainted.patch:
      - should be infected with only original string, but not the shared
        string.  [ruby-core:09152]
      - strnig.c (rb_str_new4): keep shared string untainted when orignal
        string is tainted.  [ruby-dev:29672]
  * applied debian/patches/147_configure_alloca.patch:
      - alloca is broken; use C_ALLOCA instead.  [ruby-dev:29416]
  * applied debian/patches/148_openssl.patch:
      - ossl_pkcs7_verify, ossl_spki_initialize: should clear error.
        (Closes: #394336)
      - Use digest/md5 instead of obsolete md5.
  * applied debian/patches/803_imap_nomodseq.patch:
      - net/imap chokes on NOMODSEQ response. [ruby-Bugs#6026]
        (Closes: #392803)
  * applied debian/patches/804_soap.patch:
      - huge memory usage with the Ebay API.
        <http://dev.ctor.org/soap4r/ticket/224> (Closes: 393685)

 -- akira yamada <akira@debian.org>  Mon, 30 Oct 2006 15:15:56 +0900

ruby1.8 (1.8.5-2) unstable; urgency=high

  * applied debian/patches/802_rdoc_nameerror.patch:
    - rdoc/ri/ri_options.rb should require 'rdoc/ri/ri_paths'. (Closes: 388743)
  * applied debian/patches/126_gdbm_docs.patch (and updated
    debian/patches/901_.document.patch):
    - added GDBM documents.
  * applied debian/patches/127_etc_uid_t.patch:
    - etc.c should use uid_t instead of int.  [ruby-core:08897]

 -- akira yamada <akira@debian.org>  Fri, 22 Sep 2006 20:35:04 +0900

ruby1.8 (1.8.5-1) unstable; urgency=medium

  * new upstream version.  (Closes: #376618, #378476)
  * applied debian/patches/100_rexml_encoding.patch:
    - REXML should accept UTF-16.  [ruby-list:42737]
  * applied debian/patches/101_rdoc.patch:
    - Don't unescape HTML in HtmlFormatter.  Submitted by Kent Sibilev
      <ksruby at gmail.com>.  [ruby-core:08392].
    - lib/rdoc/generators/ri_generator.rb: do not chdir twice.
  * applied debian/patches/102_hash_memory_reak.patch:
    - hash.c (rb_hash_s_create): fixed memory leak, based on the patch
      by Kent Sibilev <ksruby at gmail.com>.  fixed: [ruby-talk:211233]
  * applied debian/patches/103_top_cref.patch:
    - eval.c (ruby_init): rename top_cref to ruby_top_cref and export,
      along with ruby_cref, for use by the sandbox. [ruby-core:08762]
  * applied debian/patches/104_tcltk.patch:
    - ext/tk/lib/tkextlib/blt.rb: double dashes (--) option doesn't work
      properly on some versions of BLT (wrong description on the manual of
      `blt::bgexec'?).
    - ext/tk/lib/tk/font.rb: TkFont#current_configinfo() doesn't work on
      Tcl/Tk8.x.
    - ext/tk/lib/tk.rb: update RELEASE_DATE.
  * applied debian/patches/105_acl.patch:
    - patterns which include '*' should not cause getaddress() call.
      [ruby-dev:29406]
  * applied debian/patches/106_socket.patch:
    - ext/socket/extconf.rb: check arpa/inet.h for ntohs.
    - ext/socket/socket.c: include arpa/inet.h if available.
    - ext/socket/socket.c (ruby_connect): sockerrlen should be socklen_t.
  * applied debian/patches/107_exec_vs_nullbyte.patch:
    - io.c (pipe_open): null character should be saved for command name.
      [ruby-dev:29421]
    - process.c (proc_spawn): ditto.
    - process.c (proc_spawn_n): ditto.
    - process.c (rb_f_system): ditto.
  * applied debian/patches/108_mimedec.patch:
    - CGI#out should not decode base64 strings.  [ruby-dev:29284]
    - Kconv::toeuc should decode base64 strings. (reverted to old behaviour
      for compatibility.)  [ruby-dev:29505]
    - corrected regexp for EUC-JP (Kconv::RegexpEucjp).  [ruby-dev:29344]
  * applied debian/patches/109_strftime_nullbyte.patch:
    - Time#strftime should save null character.  [ruby-dev:29422]
  * applied debian/patches/110_dbm_extconf.patch:
    - ext/dbm/extconf.rb: create makefile according to the result of check
      for dbm header.  fixed: [ruby-dev:29445]
    - ext/dbm/extconf.rb: allow multiple candidates for dbm-type.
  * applied debian/patches/111_check_sticky_bit.patch:
    - file.c (path_check_0): check if sticky bit is set on parent
      directories for executable path.  fixed: [ruby-dev:29415]
    - Fix documentation submitted by Rick Ohnemus.  ruby-Bugs-5529.
      [ruby-core:08725]
  * applied debian/patches/112_float_hash.patch:
    - improve hash collision of Float objects.  [ruby-dev:29352]
  * applied debian/patches/113_time_vardecl.patch:
    - time.c (time_to_s): variable declaration after an execution
      statement.
  * applied debian/patches/114_bignum.patch:
    - numeric.c (fix_plus): addition in Fixnum will never overflow
      long.  a patch from Ondrej Bilka <neleai at seznam.cz>.
      [ruby-core:08794]
    - numeric.c (fix_minus): ditto.
    - bignum.c (rb_big_pow): eagerly truncate resulting bignum.
      [ruby-core:08794]
  * applied debian/patches/115_migration_macro.patch:
    - ruby.h (RSTRING_PTR): add migration macro.
    - ruby.h (RARRAY_PTR): ditto.
  * applied debian/patches/116_webrick_cookie.patch:
    - lib/webrick/cookie.rb (WEBrick::Cookie.parse_set_cookies): new
      method to parse multiple cookies per Set-Cookie header.
      Thanks to Aaron Patterson <aaron_patterson at speakeasy.net>.
      [ruby-core:08802]
  * applied debian/patches/117_suppress_warnings.patch:
    - mkconfig.rb, ext/extmk.rb, lib/mkmf.rb: suppress warnings with $VERBOSE.
    - ext/extmk.rb: Proc#call does not pass the block in 1.8.
    - Makefile.in, win32/Makefile.sub (MINIRUBY): append MINIRUBYOPT.
  * applied debian/patches/118_pstore_binmode.patch:
    - lib/pstore.rb: open all in binary mode, and get rid of the quirk of
      msvcrt.  fixed: [ruby-dev:29518]
  * applied debian/patches/119_testunit_rescue.patch:
    - Rescue Exception in Test::Unit::TestCase#run.  [ruby-core:08783]
  * applied debian/patches/120_prevent_loading_twice.patch:
    - eval.c (rb_require_safe): prevent loading twice from extensions.
      fixed: [ruby-dev:29523]
  * applied debian/patches/121_prohibit_intern_tainted_string.patch:
    - string.c (rb_str_intern): prohibit interning tainted string.
  * applied debian/patches/122_ruby_mode.patch:
    - misc/ruby-mode.el (ruby-parse-partial): better here-doc support.
      a patch from Marshall T. Vandegrift <llasram at gmail.com>.
      [ruby-core:08804]
  * applied debian/patches/123_readme_ext.patch:
    - README.EXT: English adjustment.  [ruby-core:08851] [ruby-core:08852]
      [ruby-core:08855]
  * applied debian/patches/124_check_safe_level_for_str_intern.patch:
    - string.c (rb_str_intern): raise SecurityError only when $SAFE
      level is greater than zero.  [ruby-core:08862]
    - parse.y (rb_interned_p): new function to check if a string is
      already interned.
    - object.c (str_to_id): use rb_str_intern().
  * applied debian/patches/125_pty.patch:
    - ext/pty/pty.c (establishShell): parent pid is not used.
    - ext/pty/pty.c (freeDevice): not used.
    - ext/pty/pty.c (get_device_once): removed garbage right brace.
    - ext/pty/pty.c (establishShell): remove remaining unused line.
  * debian/control, debian/rules: [m68k] build-depends on "gcc-4.1 (>=
    4.1.1-11)" and configures with CFLAGS=-O2.  (Closes: #384456)
  * debian/rdoc1.8.1: updated.  (Closes: #384615)
  * applied debian/patches/801_imap_extraspace.patch:
    - net/imap can accept extra space in server responses.  (Closes: #387900)
      The patch from Tom Soderlund.

 -- akira yamada <akira@debian.org>  Wed, 20 Sep 2006 12:01:13 +0900

ruby1.8 (1.8.4-5) unstable; urgency=medium

  * Update debian/patches/903_mkconfig.rb.patch to unquote commas, unbreaking
    CONFIG["LDFLAGS"].  (Closes: #373679) Thanks Adeodato Simó.

 -- akira yamada <akira@debian.org>  Sat, 17 Jun 2006 09:57:02 +0900

ruby1.8 (1.8.4-4) unstable; urgency=medium

  * added debian/patches/903_mkconfig.rb.patch
    - removes "|#_!!_#|" generated by autoconf_2.59.cvs.2006.06.05-1.
      (Closes: #372473)

 -- akira yamada <akira@debian.org>  Sat, 10 Jun 2006 07:46:47 +0900

ruby1.8 (1.8.4-3) unstable; urgency=medium

  * configure with -fno-strict-aliasing.  (Closes: #370553)
  * rdoc1.8 suggests graphviz.  (Closes: #339524)
  * debian/copyright: added a note for using libopenssl-ruby1.8
    (Closes: #367024)
  * added debian/patches/135.patch:
    - should check if chars are multibyte for regexp-i option.
      [ruby-dev:28598] [ruby-list:42096]
  * added debian/patches/136.patch:
    - jcode.rb breaks String#tr_s.  [ruby-list:42090]
  * added debian/patches/137.patch:
    - Array#pack supports CRLF newlines.  [ruby-dev:28601]
  * added debian/patches/138.patch:
    - should initialize variables first.  [ruby-core:07785] [ruby-core:07810]
    - avoid accessing uninitialized array element.  [ruby-core:07809]
  * added debian/patches/139.patch:
    - Numeric#div should use floor rather than Interger.  [ruby-dev:28589]
    - the first element of Float#divmod should be an integer.
      [ruby-dev:28589]
  * added debian/patches/140.patch:
    - avoids memory leak of YAML.  [ruby-core:7808]
  * added debian/patches/141.patch:
    - fixes out of bounds array access.  [ruby-core:07823]
  * added debian/patches/142.patch:
    - use AF_INET6 for nameservers containing colons.
  * added debian/patches/143.patch:
    - JVN#13947696 CVE-2006-3694 Bug#378029
    - should not modify untainted objects in safe levels higher than 3.
    - should not allow modifying literal regexps.
  * added debian/patches/144.patch:
    - JVN#13947696 CVE-2006-3694 Bug#378029
    - should not close untainted dir stream in $SAVE >= 4.
    - should not call a vararg function rb_sys_warning() indirectly.
      [ruby-core:07886]
  * added debian/patches/145.patch:
    - should round for usec floating number.  [ruby-core:07896]
      (Closes: #367609)
  * added debian/patches/146.patch:
    - constant in Fixnum access with instance_eval dumps core.
      [ruby-dev:28327]
    - inspect for overriden method.  [ruby-dev:28636]
    - set_trace_func dumps core.  [ruby-dev:28632]
    - set_trace_func: binding has wrong self value for return events.
      [ruby-core:07928]
  * added debian/patches/147.patch:
    - fixed typo of openssl/ssl.rb.
  * added debian/patches/148.patch:
    - fixed memory leak and alignment bug of the dl library.  [ruby-dev:28665]
  * added debian/patches/149.patch:
    - new method: IO#read_nonblock, IO#write_nonblock,
      Socket#connect_nonblock, Socket#accept_nonblock and
      Socket#recvfrom_nonblock.  [ruby-core:7917]
    - use rb_read_pending instead of rb_io_read_pending.  [ruby-dev:28663]
    - new method: IPSocket#recvfrom_nonblock, TCPServer#accept_nonblock,
      UNIXServer#accept_nonblock.
    - reject non-AF_UNIX sockaddr.  [ruby-dev:28691]

 -- akira yamada <akira@debian.org>  Fri,  9 Jun 2006 17:25:16 +0900

ruby1.8 (1.8.4-2) unstable; urgency=medium

  * akira yamada <akira@debian.org>
  - applied following bug-fix-patches.
  - added debian/patches/100.patch:
    - fixed a bug in constant reference during instance_eval for some type of
      objects.  [yarv-dev:707]
  - added debian/patches/101.patch:
    - allow dynamic symbols (:"...") to undef and alias.  [ruby-dev:28105]
  - added debian/patches/102.patch:
    - (openssl) treat wildcard character in commonName.  [ruby-dev:28121]
    - (openssl) should use "rb_str_new(0, 0)" to make empty string.
  - added debian/patches/103.patch:
    - callcc or thread may leak memory  [ruby-Bugs:1364] [ruby-dev:28154]
      [ruby-dev:28172]
    - mark objects refered from aborting threads.  [ruby-dev:28190]
  - added debian/patches/104.patch:
    - avoid a GC problem with RUBY_ALWAYS_GC= ./ruby -e ''.
    - declare rb_gc_abort_threads.
  - added debian/patches/105.patch:
    - should not recycle scope object used in a thread.  [ruby-dev:28177]
  - added debian/patches/106.patch (urgency medium):
    - get rid of segfault on syntax error.  [ruby-core:07070]
  - added debian/patches/107.patch:
    - fixed typo in webrick/httpservlet/filehandler.rb: fixed typo.
      [ruby-core:7075]
  - added debian/patches/108.patch (urgency medium):
    - YAML loading of quoted Symbols broken.  [ruby-Bugs:2535]
    - YAML could not load Bignum in ruby 1.8.3/1.8.4.  [ruby-core:6115]
    - YAML could not dump Subclass of Numeric properly.  [ruby-core:7047]
    - should be able to load "!ruby/object:Bignum" syntax 1.8.3 dumped.
      [ruby-core:6159]
    - workaround for SEGV.  ex: YAML.load("!map:B {}").  [ruby-core:7217]
    - fixed a typo in yaml.rb.  [ruby-talk:165285] [ruby-core:6995]
    - YAML should output complex key mark even if map's key is empty seq/map.
      [ruby-core:7129]
    - obsoletes debian/patches/801_yaml_bignum.patch and
      debian/patches/802_yaml_symbol.patch.
  - added debian/patches/109.patch:
    - fixed possibility of memmory corruption.
  - added debian/patches/111.patch:
    - don't clobber %l7 of SPARC if enable-shared.
    - workaround for FreeBSD/i386 getcontext/setcontext bug.  [ruby-dev:28263]
  - added debian/patches/112.patch:
    - FileUtils#mv should remove file after copying.  [ruby-dev:28223]
  - added debian/patches/113.patch:
    - avoids compile error (use system routine if provided).
      [ruby-core:07195]
  - added debian/patches/114.patch:
    - need not to protect $SAFE value.  [ruby-core:07177]
  - added debian/patches/115.patch:
    - (2**32).to_s(2) fails with exception where sizeof(int) == 4 <
      sizeof(long). [ruby-core:7300] [ruby-Bugs:3438]
  - added debian/patches/116.patch:
    - PStore#fetch should return default value if name is not found.
      [ruby-core:7304]
  - added debian/patches/117.patch:
    - defined RSTRUCT_LEN and RSTRUCT_PTR for source level compatibility with
      ruby 1.9.
    - alias RbConfig for Config for compatibility with ruby 1.9.
  - added debian/patches/118.patch:
    - should not access ruby objects in finalizer of Zlib.  [ruby-dev:28286]
  - added debian/patches/119.patch:
    - no need to push ruby_class.  [ruby-dev:28176] [ruby-dev:28580]
    - check if ruby_cbase is nil (during instance_eval for objects cannot have
      singleton classes, e.g. fixnums and symbols).  [ruby-dev:28178]
      [ruby-dev:28580] [ruby-dev:28582]
    - argument update propagation.  [ruby-dev:28044]
    - avoid unnecessary extra argument.  [ruby-core:07366] [ruby-dev:28583]
      [ruby-dev:28583]
  - added debian/patches/120.patch:
    - support non 32bit time_t environments.
  - added debian/patches/121.patch:
    - zsuper (with define_method) dumps core.  [ruby-dev:28181]
  - added debian/patches/122.patch:
    - should no singleton classes for true, false, and nil.  [ruby-dev:28186]
  - added debian/patches/124.patch:
    - sleep should always sleep for specified amount of time.
      [ruby-talk:180067]
  - added debian/patches/125.patch:
    - unpack("l") did not work where sizeof(long) != 4.  [ruby-talk:180024]
    - fixed integer overflow on template "w" of pack.  [ruby-talk:180126]
  - added debian/patches/126.patch:
    - removed unnecessary MY_FILE_NAME constant.  [ruby-core:07376]
  - added debian/patches/127.patch:
    - odd break behavior.  [ruby-talk:180420]
  - added debian/patches/128.patch:
    - unexpected syntax error.  [ruby-talk:180648]
  - added debian/patches/129.patch:
    - fixed that irb can't parse /\^/. [ruby-dev:28404] [ruby-Bugs:3302]
    - rdoc could not handle /\^/.  [ruby-talk:181631] [ruby-dev:28404]
  - added debian/patches/130.patch:
    - symbols overlap ordinary objects.  [ruby-core:07414]
    - heap_slots may overflow.
    - align VALUE with sizeof(RVALUE) globally.  [ruby-talk:178364]
      [ruby-core:7305]
  - added debian/patches/131.patch:
    - should not re-schedule output from KILLED thread.
  - added debian/patches/133.patch:
    - JVN#83768862 CVE-2006-3694 Bug#378029
    - reports aliased method names in a generated backtrace.  [ruby-dev:28471]
    - insecure calling should be checked for non NODE_SCOPE method invocations
      too.
    - should preserve the current safe level as well as method definition.
  - added debian/patches/134.patch:
    - (bignum) second operand may be too big even if it's a Fixnum.
      [ruby-talk:187984]
  - libruby1.8-dbg: applied a patch from Matthew Palmer to provide detached
    symbols.  (Closes: #363024)

 -- akira yamada <akira@debian.org>  Wed, 19 Apr 2006 16:46:28 +0900

ruby1.8 (1.8.4-1) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - new upstream version.
  - removed debian/patches/100_1.8.4-preview2+.patch:
      - included in upstream.
  - added debian/patches/802_yaml_symbol.patch:
      - YAML loading of quoted symbols is broken (Closes: #344042)
  - README.Debian improvement suggestion (Closes: #344293)
  - debian/compat: compat level 4.

 -- akira yamada <akira@debian.org>  Sun, 25 Dec 2005 19:57:08 +0900

ruby1.8 (1.8.3+1.8.4preview2-1) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - debian/control: updated description of ruby1.8.
  - new upstream snapshot. (1.8.4-preview2)
  - removed debian/patches/100_1.8.4-preview1.patch:
      - these are included in 1.8.4-preview2.
  - added debian/patches/100_1.8.4-preview2+.patch:
      - bug fixes.
  - configure with -O2 for IA64.

 -- akira yamada <akira@debian.org>  Sat, 17 Dec 2005 13:22:33 +0900

ruby1.8 (1.8.3-3) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - removed debian/patches/{101_remove_unnecessary_file.patch,
    102_mkmf.rb_default_path.patch,103_fileutils_visibility.patch,
    104_ruby-mode.el_indent.patch,105_xmlrpc-server.patch,
    106_optparse_unmatched_args.patch,107_webrick-cgi_query_string.patch,
    108_webrick_default_userdir.patch,109_suppress_warnings.patch,
    110_document_update.patch,111_moreinfo_unknown_node_type.patch,
    112_prevent_add_trace-func.patch,113_autoload.patch,
    114_binding_dup.patch,115_respond_to.patch,116_pthread_setitimer.patch,
    117_check_eof.patch,118_prototype_and_const.patch,
    119_abolish_sizeof_file.patch,120_tktable_call_border.patch,
    121_strscan.c_remove_useless_code.patch,122_parse.y_parser_stack.patch,
    123_openssl_add_ssl_algorithms.patch,124_rinda_check_remote_hash.patch,
    125_file.c_fix_type.patch,126_file_join.patch,
    127_regex_numeric_literal.patch}:
      - these are included in 1.8.4-preview1.
  - added debian/patches/100_1.8.4-preview1.patch:
      - new upstream snapshot. (1.8.4-preview1)
  - (urgency high) debian/rules: build with -O1 for m68k.  (closes: #329364)
  - debian/rules, debian/control: net/https.rb is moved to libopenssl-ruby1.8
    from libruby1.8.  (On 1.8.3-2, net/https.rb was moved to libruby1.8 from
    libopenssl-ruby1.8 by mistake.)  libruby1.8 conflicts with
    libopenssl-ruby1.8_1.8.3-2 and libopenssl-ruby1.8 replaces
    libruby1.8_1.8.3-2.  (closes: #335706)

 -- akira yamada <akira@debian.org>  Sat, 29 Oct 2005 12:45:27 +0900

ruby1.8 (1.8.3-2) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - added debian/patches/104_ruby-mode.el_indent.patch:
      - deal with heredoc separately. [ruby-list:41168]
      - arrange deep-indent closing parenthesis at same column as the opening.
      - closes: #309631, #301637
  - added debian/patches/121_strscan.c_remove_useless_code.patch:
      - remove useless code from strscan.c. [ruby-dev:26368][ruby-dev:27389]
      - closes: #332477
  - (urgency high) added debian/patches/122_parse.y_parser_stack.patch:
      - manage parser stack on heap. [ruby-list:41199]
      - bison allocates indivisible size. [ruby-core:06261]
      - byacc never free parser stack. [ruby-dev:27428]
      - closes: #333342, #330008
  - (urgency high) added debian/patches/801_yaml_bignum.patch:
      - YAML.dump/load cannot handle Bignum. [ruby-core:6159]
      - patch from Michael Ablassmeier
      - closes: #331050
  - added debian/patches/126_file_join.patch
      - File.join may cause segv. [ruby-core:06326]
  - added bugfix patch.
      - debian/patches/101_remove_unnecessary_file.patch [ruby-dev:27270]
      - debian/patches/102_mkmf.rb_default_path.patch [ruby-dev:27281]
      - debian/patches/103_fileutils_visibility.patch
        [ruby-core:05954][ruby-core:05858][ruby-Bugs:2494]
      - debian/patches/105_xmlrpc-server.patch
      - debian/patches/106_optparse_unmatched_args.patch [ruby-dev:27316]
      - debian/patches/107_webrick-cgi_query_string.patch [ruby-list:41186]
      - debian/patches/108_webrick_default_userdir.patch
      - debian/patches/109_suppress_warnings.patch
        [ruby-dev:27237][ruby-core:05854][ruby-core:06247][ruby-dev:27383]
      - debian/patches/110_document_update.patch
        [ruby-core:05942][ruby-core:06027][ruby-core:06053]
      - debian/patches/111_moreinfo_unknown_node_type.patch [ruby-dev:26196]
      - debian/patches/112_prevent_add_trace-func.patch
      - debian/patches/113_autoload.patch [ruby-dev:27331]
      - debian/patches/114_binding_dup.patch [yarv-dev:666]
      - debian/patches/115_respond_to.patch [ruby-dev:27408][ruby-dev:27411]
      - debian/patches/116_pthread_setitimer.patch
      - debian/patches/117_check_eof.patch [ruby-dev:27334]
      - debian/patches/118_prototype_and_const.patch
      - debian/patches/119_abolish_sizeof_file.patch [ruby-dev:27317]
      - debian/patches/120_tktable_call_border.patch
      - debian/patches/123_openssl_add_ssl_algorithms.patch
      - debian/patches/124_rinda_check_remote_hash.patch
      - debian/patches/125_file.c_fix_type.patch
      - debian/patches/127_regex_numeric_literal.patch [ruby-list:41328]

 -- akira yamada <akira@debian.org>  Wed, 19 Oct 2005 18:50:09 +0900

ruby1.8 (1.8.3-1) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - new upsptream version 1.8.3.
      - [security] JVN#62914675 CVE-2005-2337
          - preserve safe level in the environment where a method is defined.
          - prohibit calling tainted method (>2) when $SAFE == 0.
      - must not switch contexts during re-allocating stack.
        [ruby-core:05219]
      - fix parsing backslashes following \c in regexp.  [ruby-dev:26500]
      - webrick: sockets should be non-blocking mode.  [ruby-dev:26405]
      - drb: use private_methods and protected_methods instead of respond_to?
        to check method visibility. [ruby-dev:26616]
      - propagate the exception caused thread termination directly.
        [ruby-core:05552]  (closes: #322346)
      - lib/logger.rb (write, shift_log?, shift_log): file shifting race
        condition bug fixed.  [ruby-dev:26764]
      - should return proper arity value.  [ruby-dev:26390]
      - make irb -I option that is same befavior for ruby.
        [ruby-dev:26872][ruby-dev: 26920]  (closes: #322345)
      - irb: should not treat plain zero as an octal number.  [ruby-dev:26410]
        (closes: #321189)
  - removed debian/patches/802_xmlrpc_util.rb.patch
    debian/patches/803_runruby.rb_loadpath.patch:
      - included into upstream.
  - debian/control: build-depends on libreadline5-dev.  (closes: #326331)

 -- akira yamada <akira@debian.org>  Wed, 21 Sep 2005 12:43:50 +0900

ruby1.8 (1.8.2-9) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - debian/rules: supported to build with dpkg-dev_1.13.
    (ref: <URL:http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>)
      - changed arch-name for Ruby to i486-linux from i386-linux because
        DEB_BUILD_GNU_TYPE is changed to i486-linux-gnu from i386-linux.
      - (urgency high) used <arch>-linux instead of <arch>-linux-gnu for paths
        in debian/*.files.  (closes: #315566)
  - added patches/902_extra_search_path.patch: 
      - temporally added "/usr/local/lib/site_ruby/1.8/i386-linux" and
        "/usr/lib/ruby/1.8/i386-linux" as extra search paths to Ruby on ix86
        arch.

 -- akira yamada <akira@debian.org>  Wed, 29 Jun 2005 00:33:35 +0900

ruby1.8 (1.8.2-8) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - reverted debian/patches/105_cvs_updates.patch to ruby1.8_1.8.2-6.
  - added debian/patches/106_cvs_updates.patch:
      - updated to 1.8.3-preview1.
      - break should not cross functions.  [ruby-list:40818]
      - (urgency high) race condition in fixnum..fixnum may cause SEGV.
        [ruby-dev:26113]
      - (urgency high) ruby_setenv dumps core with mod_ruby/1.2.4.
        [ruby-dev:26186]
      - (urgency high) repeated syntax errors causes SEGV.  [ruby-dev:26206]
      - getopts.rb should warn only if verbose mode.  [ruby-dev:26201]
  - added debian/patches/802_xmlrpc_util.rb.patch:
      - (urgency high) fixed arbitrary command execution on XMLRPC server.
        [ruby-core:5237] (see: CAN-2005-1992, Bug#315064)
  - added debian/patches/803_runruby.rb_loadpath.patch:
        - runruby.rb should require rbconfig.rb in source directory.
          (it is for make install-doc.)
  - removed debian/patches/801_ruby-mode.el.patch:
      - included into upstream. (106_cvs_updates.patch)

 -- akira yamada <akira@debian.org>  Thu, 23 Jun 2005 20:04:22 +0900

ruby1.8 (1.8.2-7) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - reduced debian/patches/105_cvs_updates.patch for only critical bugs.
      - (urgency high) zlib causes SEGV (GC related bug)  [ruby-core:04712]
        (closes: #307990)
      - (urgency high) illegal regexp may cause SEGV  [ruby-core:04751]
      - (urgency high) tcltklib may cause SEGV

 -- akira yamada <akira@debian.org>  Sun,  8 May 2005 20:35:51 +0900

ruby1.8 (1.8.2-6) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - added debian/patches/105_cvs_updates.patch:
      - (urgency high) zlib causes SEGV (GC related bug)  [ruby-core:04712]
        (closes: #307990)
      - (urgency high) illegal regexp may cause SEGV  [ruby-core:04751]
      - (urgency high) tcltklib may cause SEGV
      - fixed memory leak by tcltklib

 -- akira yamada <akira@debian.org>  Sat,  7 May 2005 17:26:44 +0900

ruby1.8 (1.8.2-5) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - (urgency high) debian/rules: uses "make install-doc" to generate dates of
    ri.  (closes: #304157)
  - added debian/patches/104_cvs_updates.patch:
      - avoids tainting local object even if the reference of the object was
        received from remote DRbServer.  (closes: #301969)
  - adeed debian/patches/801_ruby-mode.el.patch:
      - ruby-mode.el makes wrong indent [ruby-dev:26022]

 -- akira yamada <akira@debian.org>  Tue, 12 Apr 2005 02:50:27 +0900

ruby1.8 (1.8.2-4) unstable; urgency=medium

  * akira yamada <akira@debian.org>
  - added debian/patches/103_cvs_updates.patch:
      - (urgency medium) "return" event hook should be always executed if
        event_hooks is set.  [ruby-core:04662]
      - (urgency medium) "OpenSSL::Engine.load" may cause segmentation fault.
        [ruby-dev:25971]
      - added a hook function for interpreter events.  (for ruby-prof
        <URL:http://raa.ruby-lang.org/project/ruby-prof/>.)
      - (urgency medium) Regexp.compile makes memory leaks when compilation
        failed.  [ruby-talk:133228]
  - debian/rules: configure with "--with-sitedir='/usr/local/lib/site_ruby'"
    instead of "--with-sitedir='$prefix/local/lib/site_ruby'".
    (closes: #301055)
  - debian/NEWS: described about background of the restructuring.
    (closes: #299737)
  - debian/ri1.8.1: updated by outputs of "ri1.8 -h".  (closes: #292022)

 -- akira yamada <akira@debian.org>  Sat,  9 Apr 2005 15:11:18 +0900

ruby1.8 (1.8.2-3) unstable; urgency=medium

  * akira yamada <akira@debian.org>
  - restructured sub-packages:
      - merged to libruby1.8: libruby1.8 merges libsdbm-ruby1.8,
        libdl-ruby1.8, libpty-ruby1.8, libbigdecimal-ruby1.8,
        libsyslog-ruby1.8, libstrscan-ruby1.8, libiconv-ruby1.8,
        libracc-runtime-ruby1.8, libdrb-ruby1.8, liberb-ruby1.8,
        libtest-unit-ruby1.8, librexml-ruby1.8, libxmlrpc-ruby1.8,
        libsoap-ruby1.8, libwebrick-ruby1.8, libyaml-ruby1.8, libzlib-ruby1.8
        and libcurses-ruby1.8.
      - libtk-ruby1.8 merged to libtcktk-ruby1.8.
      - ruby1.8 suggests rdoc1.8 and ri1.8
  - added debian/patches/102_cvs_updates.patch:
      - (urgency medium) safe level for DRb threads can be specified by
        DRbServer.default_safe_level or 3rd argument of DRbServer.new().
        [druby-ja:120]
      - open-uri supports HTTPS.
      - Net::IMAP handles SSL certs correctly.
  - added debian/patches/901_.document.patch:
      - rdoc processes net/* and some libraries.  (closes: #252871)

 -- akira yamada <akira@debian.org>  Wed, 16 Mar 2005 01:07:08 +0900

ruby1.8 (1.8.2-2) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - added debian/patches/101_cvs_updates.patch:
      - (urgency high) autoload fails with 'wrong argument type'.
        [ruby-dev:25435][ruby-list:40498] and [ruby-dev:25373]
        (closes: #289302)
      - srand(1<<100000000) dumps core.  [ruby-dev:25426]

 -- akira yamada <akira@debian.org>  Tue, 11 Jan 2005 09:50:55 +0900

ruby1.8 (1.8.2-1) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - new upstream version, 1.8.2:
      - removed debian/patches/{100_cvs_updates.patch,801_syck_segv.patch,
        802_syck_segv.patch}.  they ware included 1.8.2.
      - (urgency high) fixed segv bugs:
          - Process.groups= dumps core again.  [ruby-dev:25285]
          - YAML::Syck::Parser#load dumps core.  [ruby-core:03973]
          - IO.select dumps core.  [ruby-dev:25312]
      - fixed bugs:
          - prohibit to change access mode for special IO ports  (stdin,
            stdout and stderr).  [ruby-dev:25225]
  - added debian/patches/100_cvs_updates.patch:
      - (urgency high) fixed segv bugs:
          - String#center dumps core.  [ruby-dev:25341]
          - require "openssl" dumps core.  [ruby-dev:25325]
          - Zlib memory leak.  [ruby-list:39235][ruby-dev:25309]
          - String#ljust dumps core again.  [ruby-dev:25367]
          - bmcall() causes core dump.  [ruby-dev:25366]
          - Module#autoload? dumps core.  [ruby-dev:25373]
          - OpenSSL::Netscape::SPKI#challenge= dumps core.  [ruby-dev:25359]
          - Segfault in Thread#initialize / caller  [ruby-core:04067]
      - fixed bugs:
          - webrick/httpauth bugs.
            [ruby-list:40467][ruby-list:40482][ruby-dev:25336]
          - rand uniformity  [ruby-dev:25396]

 -- akira yamada <akira@debian.org>  Fri,  7 Jan 2005 11:17:10 +0900

ruby1.8 (1.8.1+1.8.2pre4-1) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - new upstream version, 1.8.2 preview4:
      - removed debian/patches/{10[01]_cvs_updates.patch,802_socket.c.patch,
        803_rexml_shiftjis.patch}.  they ware included 1.8.2 preview4.
      - (urgency high) fixed segv bugs:
          - sprintf dumps core.  [ruby-dev:25104]
          - DBM#select dumps core.  [ruby-dev:25132]
          - Socket#listen dumps core.  [ruby-dev:25149]
          - IO#reopen dumps core.  [ruby-dev:25150]
          - OpenSSL::Digest::Digest.new dumps core.
            [ruby-dev:25187][ruby-dev:25198]
          - Dir.foreach dumps core.  [ruby-dev:25242]
          - Zlib::Deflate.deflate dumps core.  [ruby-dev:25226]
          - Struct.new dumps core.  [ruby-dev:25249]
          - IO#eof? dumps core.  [ruby-dev:25251]
          - OpenSSL::ASN1.traverse dumps core.
            [ruby-dev:25261][ruby-dev:25261]
          - DL::Symbol.new dumps core.  [ruby-dev:25271]
      - fixed bugs:
          - removed debug print for jcode.rb.  [ruby-dev:25156]
          - serializes un-serializeable remote exceptions as DRbRemoteError.
            [ruby-list:40390]
          - IO.open could not handle 'w+' mode.  (closes: #283030)
          - (urgench high) temporal locking already locked string on
            simultaneous write.  [ruby-dev:25050] (closes: #286195)
  - added debian/patches/100_cvs_updates.patch:
      - IO#reopen restores exact mode.  [ruby-core:04003]
  - added debian/patches/801_syck_segv.patch:
      - YAML::Syck::Parser#load dumps core.  [ruby-core:03973]
  - debian/rules: configure with --disable-rpath.

 -- akira yamada <akira@debian.org>  Thu, 23 Dec 2004 12:51:28 +0900

ruby1.8 (1.8.1+1.8.2pre3-2) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - added debian/patches/101_cvs_updates.patch:
      - OpenStruct can be marshaled again.
        (removed debian/patches/801_ostruct_revert.patch.)
      - (urgency high) fixed segv bugs:
          - String#gsub causes core dump again^3.  [ruby-dev:24931]
          - Dir#seek dumps core.  [ruby-dev:24941]
          - File#chown dumps core.  [ruby-dev:24947]
          - IO#read dumps core again.  [ruby-dev:24952]
          - IO#read dumps core again^3.  [ruby-dev:24959]
          - IO#read dumps core again^4.  [ruby-dev:24964]
          - Segmentation fault with StringIO#puts and StringIO#rewind.
            [ruby-Bugs-1120]
          - rb_io_sysread dumps core.  [ruby-dev:24993]
          - IO#flush dumps core again.  [ruby-dev:25003]
          - IO#ioctl dumps core.  [ruby-dev:25019]
          - BasicSocket#setsockopt dumps core.  [ruby-dev:25039]
          - UDPSocket#connect dumps core.  [ruby-dev:25045]
          - UDPSocket#bind dumps core.  [ruby-dev:25057]
          - Process.groups= dumps core.  [ruby-dev:25081]
      - inconsistent string handling (null char in string error)
        [ruby-Bugs-1095]  (closes: #283564, #283565)
      - (urgency high) changes to dup'ed String object will also change the
        original String object.  [ruby-dev:24981]  (closes: #283192)
      - CGI::Session invokes nonexistent method.  [ruby-core:03832]
        (closes: #284429)
  - added debian/patches/803_rexml_shiftjis.patch:
      - REXML fails to handler Shift_JIS code.  [ruby-dev:25069]
  - debian/rules: fixed typo: s/exmaples/examples/g  (closes: #283759)

 -- akira yamada <akira@debian.org>  Tue,  7 Dec 2004 02:49:52 +0900

ruby1.8 (1.8.1+1.8.2pre3-1) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - new upstream version, 1.8.2 preview3:
      - updated ext/nkf to nkf-2.0.4.
      - fails to compile with gcc-2.95.  (closes: #281362) [ruby-dev:24693]
      - (urgency high) String#gsub! dumps core again.  [ruby-dev:24687]
      - (urgency high) TCPSocket#recvfrom dumps core.  [ruby-dev:24705]
      - (urgency high) String#gsub! dumps core again^2.  [ruby-dev:24706]
      - (urgency high) String#gsub causes core dump.  [ruby-dev:24708]
      -  StringIO.new allows Fixnum as mode as well as IO.new does.
  - added debian/patches/100_cvs_updates.patch:
      - (urgency high) SystemCallError#initialize dumps core.  [ruby-dev:24768]
      - (urgency high) GDBM#[]= dumps core.  [ruby-dev:24783]
      - (urgency high) String#sub! causes core dump.  [ruby-dev:24801]
      - String.rjust ignores 2nd parameter.  (closes: Bug#281263)
        [ruby-dev:24851]
      - (urgency high) DBM#[]= dumps core.  [ruby-dev:24847]
      - (urgency high) Array#[]= causes core dump.  [ruby-dev:24861]
      - (urgency high) Array#delete causes core dump again.  [ruby-dev:24901]
      - (urgency high) String#[]= causes dumps core.  [ruby-dev:24878]
      - A Float-related race in GC?  (closes: Bug#280856) [ruby-dev:24880]
      - (urgency high) String#gsub dumps core.  [ruby-dev:24827]
      - (urgency high) File.new dumps core.  [ruby-dev:24919]
      - (urgency high) String#gsub causes core dump again^3.  [ruby-dev:24931]
      - (urgency high) Dir#seek dumps core.  [ruby-dev:24941]
  - renamed debian/patches/804_delegate.rb.patch to
    debian/patches/800_delegate.rb.patch.
  - renamed debian/patches/820_ostruct_revert.patch to
    debian/patches/801_ostruct_revert.patch.
  - removed debian/patches/10[0-4]_cvs_updates.patch,
    debian/patches/821_io_open.patch and debian/patches/822_array_uniq.patch:
      - included into the upstream source.
  - debian/README.Debian: updated.
  - debian/libruby1.8.prerm.in: removes /usr/local/lib/site_ruby only.
    (closes: #280544)

 -- akira yamada <akira@debian.org>  Tue, 23 Nov 2004 10:29:33 +0900

ruby1.8 (1.8.1+1.8.2pre2-7) unstable; urgency=medium

  * akira yamada <akira@debian.org>
  - updated debian/patches/822_array_uniq.patch:
      - Array#{uniq,uniq!,&,|} should not freeze elements.  (The previous
        patch is not enough.  The patch updated by CVS changes.)

 -- akira yamada <akira@debian.org>  Wed,  3 Nov 2004 20:46:26 +0900

ruby1.8 (1.8.1+1.8.2pre2-6) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - added debian/patches/103_cvs_updates.patch:
      - (urgency high) Enumerable#grep dumps core.  [ruby-dev:24671]
      - (urgency high) open dumps core again^2.  [ruby-dev:24656]
  - added debian/patches/820_ostruct_revert.patch and
    820_ostruct_marshal.patch:
      - reverted changes of lib/ostruct.rb.  (ref. [ruby-dev:22966]
        [ruby-dev:24625])
  - added debian/patches/821_io_open.patch:
      - (urgency high) additional patch for "open dumps core again^2."
        [ruby-dev:24656]
  - added debian/patches/822_array_uniq.patch:
      - Array#uniq should not freeze elements.  [ruby-dev:24695]
  - removed 821_gc.c_revert.patch:
      - included into the upstream source.

 -- akira yamada <akira@debian.org>  Wed,  3 Nov 2004 18:39:05 +0900

ruby1.8 (1.8.1+1.8.2pre2-5) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - added debian/patches/821_gc.c_revert.patch:
      - (urgency high) gc.c: cancel IA64 changes unnecessary for 1.8.
        (closes: #279228)

 -- akira yamada <akira@debian.org>  Tue,  2 Nov 2004 13:00:29 +0900

ruby1.8 (1.8.1+1.8.2pre2-4) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - added debian/patches/102_cvs_updates.patch:
      - (urgency high) fixed some segmentation fault bugs listed in
          - <URL:http://jp.rubyist.net/magazine/?0002-RubyCore>.
          - raise dumps core.  [ruby-dev:24519]
          - unpack("p") dumps core.  [ruby-dev:24594]
          - Enumerable#sort_by dumps core again.  [ruby-dev:24386]
          - Enumerable#sort_by dumps core again(2).  [ruby-dev:24399]
          - A class of return value of Array#*.  [ruby-dev:24526]
          - Zlib::Deflate#deflate causes core dump.  [ruby-dev:24530]
      - PStore#transaction may raise Errno::ENOENT.  [ruby-dev:24561]
      - String#include? ?\x80.  [ruby-dev:24558]
      - corrected configure.in for GNU/k*BSD.  (closes: #264306)
      - httpresponse.rb: ensure to close @body.  (closes: #277520)
      - (urgency high) cgi.rb: avoids infinity loop.  [CAN-2004-0983]
      - (urgency high) fixed memory leak.  [ruby-core:03549]
  - added debian/patches/103_cvs_updates.patch:
      - (urgency high) temporarily frozen string causes core dump.
        [ruby-dev:24552]
      - cgi.rb: workaround for Mac IE.  [ruby-list:40136]
      -	(urgency high) Zlib::Deflate#flush_next_in causes core dump.
        [ruby-dev:24621]
      - (urgency high) raising zlib dumps core again. [ruby-dev:24627]
      - (urgency high) another memory leak in ruby_1_8.  [ruby-core:03619]
      - (urgency high) IO#path may cause segv.  [ruby-talk:118234]
      - (urgency high) Enumerable#sort_by dumps core again^4.
        [ruby-dev:24642]
  - added debian/patches/820_ostruct_marshal.patch:
      - ostruct.rb: OpenStruct can't be dumped.  [ruby-dev:24625]
  - removed debian/patches/818_instance_eval.patch and
    debian/patches/813_zlib_ungetc.patch:
      - included into the upstream source.
  - debain/control: removed ruby-eserver from "Recommends" of libsoap-ruby1.8.
    libsoap-ruby1.8 does not use the package.  (closes: #268715)

 -- akira yamada <akira@debian.org>  Mon,  1 Nov 2004 18:13:13 +0900

ruby1.8 (1.8.1+1.8.2pre2-3) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - added debian/patches/101_cvs_updates.patch:
      - "IO.allocate.reopen('/nothing')" on irb causes SEGV.
        [ruby-core:03288]
      - (urgency high) CGI::Session::FilesStore and CGI::Session::PStore
        should not use a session id as a filename.  (closes: #267753)
  - added debian/patches/818_instance_eval.patch:
      - core dump with binding, eval, instance_eval and class variable.
        [ruby-dev:24120]
  - removed debian/patches/814_syck_8bit_clean.patch,
    debian/patches/815_openssl_select.patch,
    debian/patches/816_exception_slowdown.patch and
    debian/patches/817_ruby-mode.el_fixtypo.patch:
      - included into upstream source.

 -- akira yamada <akira@debian.org>  Tue, 24 Aug 2004 21:41:42 +0900

ruby1.8 (1.8.1+1.8.2pre2-2) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - added debian/patches/100_cvs_updates.patch:
      - minor bug fix.
  - added debian/patches/813_zlib_ungetc.patch:
      - Zlib::GzipReader#ungetc does not work correctly.
  - added debian/patches/814_syck_8bit_clean.patch:
      - YAML fails to load/dump non-printable characters.  [ruby-core:03280]
        [ruby-core:03286]
  - added debian/patches/815_openssl_select.patch:
      - Bug#265429: IO.select() mysteriously hangs [ruby-dev:24072]
        [ruby-dev:24075]  (closes: #265429)
  - added debian/patches/816_exception_slowdown.patch:
      - Pathological slowdown in 1.8  [ruby-core:02662]
  - added debian/patches/817_ruby-mode.el_fixtypo.patch:
      - fixed a typo.

 -- akira yamada <akira@debian.org>  Tue, 17 Aug 2004 02:33:39 +0900

ruby1.8 (1.8.1+1.8.2pre2-1) unstable; urgency=medium

  * akira yamada <akira@debian.org>
  - new upstream version, 1.8.2 preview2.
      - some bugs are fixed.
  - removed debian/patches/800_sleep.patch,
    debian/patches/801_version.h.patch,
    debian/patches/802_yaml_rubytypes.rb.patch,
    debian/patches/803_ruby_mode.patch,
    debian/patches/805_yaml_load_exception.patch,
    debian/patches/806_config.guess_revert.patch,
    debian/patches/807_callcc.patch, debian/patches/808_net_imap.patch,
    debian/patches/809_uri_ldap.patch, debian/patches/810_use_NULL.patch,
    debian/patches/811_cgi_session.patch and
    debian/patches/812_run_final.patch:
      - included into upstream source.

 -- akira yamada <akira@debian.org>  Thu, 29 Jul 2004 18:44:28 +0900

ruby1.8 (1.8.1+1.8.2pre1-5) unstable; urgency=medium

  * akira yamada <akira@debian.org>
  - added debian/patches/812_run_final.patch:
      - (urgency medium) ObjectSpace.define_finalizer may cause Segmentation
        falult.  [ruby-dev:23957]
      - tempfiles created by Temfile not removed.  [ruby-dev:23987]

 -- akira yamada <akira@debian.org>  Wed, 28 Jul 2004 01:38:01 +0900

ruby1.8 (1.8.1+1.8.2pre1-4) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - (urgency high) updated debian/patches/800_sleep.patch:
      - previous patch is incomplete, sleep() is still broken.
  - (urgency high) added debian/patches/811_cgi_session.patch:
      - sets the permission of the session data file to 0600.  [ruby-dev:23952]
        [CAN-2004-0755] (closes: #260779)

 -- akira yamada <akira@debian.org>  Fri, 23 Jul 2004 07:03:16 +0900

ruby1.8 (1.8.1+1.8.2pre1-3) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - (urgency high) restored debian/patches/801_sleep.patch as
    debian/patches/800_sleep.patch:
      - sleep method does not work.  [ruby-core:2133] [ruby-core:2137]
  - added debian/patches/807_callcc.patch: 
      - callcc method may cause unknown data type bug.  [ruby-talk:106657]
  - added debian/paches/808_net_imap.patch:
      - return if a LOGOUT response received. 
      - wait command continuation requests before sending octet data of
        literals.
  - added debian/paches/809_uri_ldap.patch:
      - method hierarchical? in uri/ldap.rb should be in URI::LDAP.
  - added debian/paches/810_use_NULL.patch:
      - use NULL instead of 0.

 -- akira yamada <akira@debian.org>  Sun, 18 Jul 2004 03:49:28 +0900

ruby1.8 (1.8.1+1.8.2pre1-2) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - (rugency high) restored debian/patches/822_config.guess_revert.patch as
    debian/patches/806_config.guess_revert.patch:
      - couldn't build on alpha-linux.

 -- akira yamada <akira@debian.org>  Fri, 16 Jul 2004 23:05:22 +0900

ruby1.8 (1.8.1+1.8.2pre1-1) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - new upstream version, 1.8.2 preview1.
      - urgency high: fixed to build error on ARM.
      - fixed syntax error in test/unit/ui/{fox,gtk,gtk2}/testrunner.rb.
        Thanks to Paul van Tilburg.  (closes: #257607)
  - debian/rules: generates datafiles for ri1.8 only when it was executed with
    binary-indep.
  - debian/control: improbed descriptions.
    (closes: #209573, #209603, #209616, #209691, #209718, #209794, #209900, #209937, #210030)

 -- akira yamada <akira@debian.org>  Fri, 16 Jul 2004 21:17:45 +0900

ruby1.8 (1.8.1-9) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - added debian/patches/821_rdoc_parse.rb.patch:
      - [ruby-talk:104190] %r{...} is a regular expression but RDoc prints it
        as %{...}.
  - added debian/patches/822_config.guess_revert.patch:
      - [ruby-dev:23753] revert to original config.guess.  (couldn't build on
        alpha-linux.)
  - added debian/patches/823_yaml_load_exception.patch:
      - [ruby-talk:104405] YAML.load couldn't load Exception objects.
  - added debian/patches/824_io.c_fcntl_check.patch:
      - [ruby-dev:23742] should check fcntl result.

 -- akira yamada <akira@debian.org>  Thu, 24 Jun 2004 02:41:31 +0900

ruby1.8 (1.8.1-8) unstable; urgency=medium

  * akira yamada <akira@debian.org>
  - added debian/patches/106_cvs_updates.patch:
      - [ruby-dev:23550] Socket.new(Socket::AF_INET, Socket::SOCK_STREAM, 0)
        dumps core.
      - [ruby-core:02793] ruby -e 'a[*b]+=c' dups core.
      - [ruby-dev:23487] core dump by delete_if on 1.8
      - options for Net::Telnet::login can take regexps for login prompt
        and/or password prompt.  (closes: #248511).
  - removed debian/patches/802_time.c.patch, debian/patches/804_find.rb.patch,
    debian/patches/805_telnet.rb.patch, debian/patches/806_yaml.patch,
    debian/patches/808_proc_eq.patch, debian/patches/809_misc_escape.patch,
    debian/patches/810_parse.y_reverse.patch: they ware included into the
    above patch.
  - added debian/patches/107_cvs_updates.patch:
      - upgraded to stable-snapshot (2004-06-05).
  - added debian/patches/108_cvs_updates.patch:
      - [ruby-dev:22631] should not dump singleton class.
      - limit safe level.
      - [ruby-dev:23713] allow changing $SAFE.
  - added debian/patches/820_zlib_64bit_gzfile_get32.patch:
      - the value in gzfile_get32 can accidentally be sign extended on 64 bit
        systems.  Thanks to Matthew Mueller.  (closes: #255442)

 -- akira yamada <akira@debian.org>  Tue, 22 Jun 2004 15:52:02 +0900

ruby1.8 (1.8.1-7) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - configure with --with-bundled-{sha1,md5,rmd160}.  it free libruby1.8 from
    libssl.
  - added debian/patches/105_cvs_updates.patch:
      - "undef" for methods does not work. [ruby-list:39058]
      - blocks in "#{}" makes syntax error. [ruby-list:39061]
      - Net::IMAP accepts 8-bit characters in quoted strings for Novell
        GroupWise Internet Agent.
      - Socket#recvfrom makes an invalid argument error in non-blocking mode.
        [ruby-talk:89962]
      - util.c (mblen): fix overrun. (DJGPP ONLY)  [ruby-dev:22672]
      - delegate.rb should use Kernel::raise for Thread.
        [ruby-dev:22681][ruby-dev:22684]
      - delegate.rb should not delegate singleton_method_added.
        [ruby-dev:22685]
    - added debian/patches/804_find.rb.patch:
        - Find.find raises SecurityError in $SAFE>=1. [ruby-dev:22641]
        - Find.find("xyz") will yield "xyz" even if no such file exists.
          [ruby-core:02319]
    - added debian/patches/805_telnet.rb.patch:
        - net/telnet.rb accepts "Login" prompt.
    - added debian/patches/806_yaml.patch:
        - syck library does not dump tv_usec correctly. [ruby-core:02305]
        - syck cannot dump a Range of strings. [ruby-core:02306]
    - added debian/patches/807_ruby_mode.patch:
        - font-lock could not treat %"..." correctry. [ruby-dev:22705]
    - added debian/patches/808_proc_eq.patch:
        - Proc with empty body may not be equal.  [ruby-dev:22590]
          [ruby-dev:22594][ruby-dev:22602]
    - added debian/patches/809_misc_escape.patch:
        - Here-document in lib/rexml/encodings/ISO-8859-1.rb requires
          quotation, as in US-ASCII.rb.  [ruby-talk:88650]
        - avoid warnings in rdoc/parsers/parse_c.rb.

 -- akira yamada <akira@debian.org>  Fri,  6 Feb 2004 18:57:04 +0900

ruby1.8 (1.8.1-6) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - renamed to debian/patches/803_ia64_stack_limit_hack.patch from
    debian/patches/901_ia64_stack_limit_hack.patch.
  - added debian/patches/104_cvs_updates.patch:
      - removed O_NONBLOCK for a socket used by DRb.
      - Net::IMAP accepts an NIL-envelope.

 -- akira yamada <akira@debian.org>  Wed, 21 Jan 2004 22:41:27 +0900

ruby1.8 (1.8.1-5) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - added debian/patches/103_cvs_updates.patch:
      - io.c: initializer of lineno should be "INT2FIX(0)".  (closes:#228527)
  - disabled optimization on ia64.  (-O1/2 makes ruby unusable.)
  - debian/patches/901_ia64_stack_limit_hack.patch:
      - disable IA64_MAGIC_STACK_LIMIT trick when optimization is disabled.
        [ruby-dev:22650]

 -- akira yamada <akira@debian.org>  Tue, 20 Jan 2004 19:03:19 +0900

ruby1.8 (1.8.1-4) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - added debian/patches/102_cvs_updates.patch:
      - documents of methods of IO is missing.

 -- akira yamada <akira@debian.org>  Mon, 19 Jan 2004 21:58:48 +0900

ruby1.8 (1.8.1-3) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - puts lib/rdoc/README to rdoc1.8.
  - rdoc1.8 depends libyaml-ruby1.8.  (closes: #226372)
  - added debian/patches/101_cvs_updates.patch:
      - StringIO.new.sysread should raise EOFError.  [ruby-core:2078]
      - don't increment lineno when gzfile_read_all returns "".
        [ruby-core:2078]
      - ARGF.readline should raise EOFError at EOF.  [ruby-dev:22458]
      - both of ARGF.read and ARGF.read(nil) should concatenate input files
        when length argument is nil.  [ruby-dev:22450]
      - ARGF.lineno should return 0 even if ARGF have not been read.
        [ruby-dev:22460]
      - ARGF.each_byte should return self.  [ruby-dev:22465]
      - ARGF.eof? should not have any side effect.  [ruby-dev:22469]
      - should not abort when module_function is called for undefined method.
        [ruby-dev:22498]
      - ARGF.read(n) makes an error when it gets EOF.  [ruby-bugs-ja:PR#585]
      - synchronized with date2 library version 3.5.  it includes fixes for
        [ruby-talk:90063].
  - added debian/patches/801_sleep.patch:
      - sleep is broken with --enable-pthread.  [ruby-core:2133]
        [ruby-core:2137]
  - added debian/patches/802_time.c.patch:
      - Time#usec should not return neither a negative number nor a number
        which is larger than 1000000.  [ruby-dev:22614], [ruby-dev:22617]
  - added debian/patches/901_ri_pager.patch:
      - changed pager search order: ENV['PAGER'], pager, ...
  - put datafiles of ri into ri1.8 package.

 -- akira yamada <akira@debian.org>  Mon, 19 Jan 2004 15:12:27 +0900

ruby1.8 (1.8.1-2) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - libxmlrpc-ruby1.8 depends on librexml-ruby1.8 | libxml-parser-ruby1.8.
  - added debian/patches/100_cvs_updates.patch:
      - Kernel::require searches actual file name once when no extension
       	specified.  
      - fixes Ruby/Tk crash bug. (but does not fix block bug.)
        [ruby-talk:88830]
      - Array#pack checks sign for "i" and "I".  [ruby-dev:22427]
      - IO::readlines should return lines when record-separater is nil.
        [ruby-core:02077][ruby-core:02078]
      - ARGF.read accepts "nil" for argument.  [ruby-dev:22433]

 -- akira yamada <akira@debian.org>  Sat, 27 Dec 2003 17:52:24 +0900

ruby1.8 (1.8.1-1) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - new upstream version.

 -- akira yamada <akira@debian.org>  Thu, 25 Dec 2003 14:26:08 +0900

ruby1.8 (1.8.0+preview4-2) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - updated debian/patches/101_cvs_updates.patch.

 -- akira yamada <akira@debian.org>  Wed, 24 Dec 2003 18:20:17 +0900

ruby1.8 (1.8.0+preview4-1) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - updated to 1.8.1-preview4.
      - test/unit/ui/testrunnermediator.rb: requires 'test/unit'.
      - test/unit/autorunner.rb: remove dependency to a particular runner.
        (closes: #222019)
      - runit/cui/testrunner.rb: uses Test::Unit::UI::{PROGRESS_ONLY,VERBOSE}.
        (closes: #224048)
  - new sub-package: ri1.8.

 -- akira yamada <akira@debian.org>  Mon, 22 Dec 2003 19:18:42 +0900

ruby1.8 (1.8.0+preview3-1) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - updated to 1.8.1-preview3.
  - new sub-package: rdoc; RDoc is included into the Ruby distribution.
      - imported rdoc.1 from rdoc_0.9.0-1.

 -- akira yamada <akira@debian.org>  Sat,  6 Dec 2003 09:35:59 +0900

ruby1.8 (1.8.0+preview2-2) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - updated debian/patches/100_cvs_updates.patch.
      - lib/monitor.rb (wait): return true on signal/broadcastfalse and false
        on timeout. Thanks Gennady Bystritsky.
      - parse.y (primary): primary_value may be 0 when syntax error.
        [ruby-talk:84893]

 -- akira yamada <akira@debian.org>  Tue, 11 Nov 2003 14:52:18 +0900

ruby1.8 (1.8.0+preview2-1) unstable; urgency=low

  * akira yamada <akira@debian.org>
  - updated to 1.8.1-preview2.
  - removed debian/patches/*.patch for ruby-1.8.0.
  - added debian/patches/100_cvs_updates.patch.
      - configure.in, eval.c, signal.c: : add '--with-pthread-ext' option to
        fix the pthread trouble on 'tcltklib'
      - ext/tcltklib/tcltklib.c: To fix 'pthread-enabled Tcl/Tk' problem,
        TclTkIp#_eval calls Tcl_Eval() on the mainloop thread only (queueing a
        handler to the EventQueue). 
      - ext/socket/socket.c (make_hostent): get rid of SEGV on aliases lookup
        failure.  (ruby-bugs:PR#1215)  (closes: #215879.)
  - configure with --with-pthread-ext.  (closes: #217176.)
  - fixed argument of -regex option of find which finds sample programs.
    (closes: #219759.)
  - new sub-package libsoap-ruby1.8.

 -- akira yamada <akira@debian.org>  Sun,  9 Nov 2003 19:05:33 +0900

ruby1.8 (1.8.0-5) unstable; urgency=medium

  * akira yamada <akira@debian.org>
  - updated debian/patches/101_cvs_updates.patch.
      - eval.c (rb_f_END): block should be given.  [ruby-dev:21497]
      - eval.c (rb_eval): fix evaluation order.  [ruby-list:38431]
      - marshal.c (w_object): should pass "weak" value to next level.
        [ruby-dev:21496]
      - eval.c (proc_alloc): should not use cached object if klass is
        different. [ruby-talk:83685]

 -- akira yamada <akira@debian.org>  Mon,  6 Oct 2003 12:07:00 +0900

ruby1.8 (1.8.0-4) unstable; urgency=high

  * akira yamada <akira@debian.org>
  - updated debian/patches/101_cvs_updates.patch to "ruby 1.8.0 (2003-10-05)".
      - eval.c (rb_eval): should not execute else part if any exception
        is caught, closes: #214018.
      - gc.c (Init_stack): the type of space is changed to unsigned int from
  	double, closes: #212282.

 -- akira yamada <akira@debian.org>  Sun,  5 Oct 2003 03:15:21 +0900

ruby1.8 (1.8.0-3) unstable; urgency=medium

  * Fumitoshi UKAI <ukai@debian.or.jp>
  - debian/control: add build-conflicts on broken version of gcc

  * akira yamada <akira@debian.org>
  - updated debian/patches/101_cvs_updates.patch to "ruby 1.8.0 (2003-10-02)".
    some imporant bugs are fixed.
    - scopes for constants in class definition is broken.
    - some minor bugs.
  - debian/control: libwebrick-ruby1.8 depends on liberb-ruby1.8,
    closes: #208988.
  - debian/rmshebang.sh: remove first #! line only.  (ported from ruby1.6.)
  - debian/control: ruby1.8-elisp conflicts with ruby1.6-elisp, ruby1.7-elisp
    and ruby-elisp (<< 1.8). closes: #211321.
  - debian/rules: added 'g' option for sed script which is applied for
    debian/irb*.menu.in, closes: #213380.
  - debian/control: improved description of liberb-ruby1.8, closes: #210167.

 -- akira yamada <akira@debian.org>  Thu,  2 Oct 2003 17:37:33 +0900

ruby1.8 (1.8.0-2) unstable; urgency=low

  * debian/patches/101_cvs_updates.patch: added.  some bugs ware fixed.
    - Array#fill is wrong when it is called with block.
    - GC for empty strings causes SEGV.
    - Shell.rmdir does not work.
    - some minor bugs.

 -- akira yamada <akira@debian.org>  Sun, 10 Aug 2003 11:15:19 +0900

ruby1.8 (1.8.0-1) unstable; urgency=low

  * new upstream version.
  * debian/patches/100_pragma_weak.patch: removed.
  * debian/patches/100_changelog-1.8.0.patch: added.  doc/ChangeLog-1.8.0 ware
    dropped when the author was packageing 1.8.0. 

 -- akira yamada <akira@debian.org>  Mon,  4 Aug 2003 21:50:07 +0900

ruby1.8 (1.8+0cvs20030801-1) unstable; urgency=low

  * ruby 1.8.0-preview7.
  * debian/patches/100_pragma_weak.patch: added.  it needed for
    --enable-shared.
  * debian/rules: build with -O2 on IA64.  probrems around optimization on
    IA64 ware fixed at 1.8.0-preview7.

 -- akira yamada <akira@debian.org>  Fri,  1 Aug 2003 20:53:36 +0900

ruby1.8 (1.8+0cvs20030731-1) unstable; urgency=low

  * ruby 1.8.0-preview6.
  * debian/patches/100_cvs.patch: removed.  it was included 1.8.0-preview6.
  * changed section for libruby1.8-dbg to libdevel from devel.

 -- akira yamada <akira@debian.org>  Thu, 31 Jul 2003 18:09:21 +0900

ruby1.8 (1.8+0cvs20030728-1) unstable; urgency=low

  * ruby 1.8.0-preview5.
  * debian/patches/100_rb_struct_define.patch: removed.  it was included
    1.8.0-preview5.
  * debian/patches/100_cvs.patch: added.  upstream cvs patch.

 -- akira yamada <akira@debian.org>  Tue, 29 Jul 2003 00:33:25 +0900

ruby1.8 (1.8+0cvs20030724-1) unstable; urgency=low

  * new upstream cvs snapshot. (ruby 1.8.0 preview4.)
  * new sub-packages: libwebrick-ruby1.8 and libopenssl-ruby1.8.
  * debian/rules: on IA64, build with -O0 option.  (optimized-code crashes on
    IA64)
  * debian/patches/100_bigdecimal-MANIFEST.patch: removed.  it is nolonger
    needed.
  * debian/patches/100_rb_struct_define.patch: added.  it fixes PR#1058: ruby
    segfaults on ia64 during require 'etc'.

 -- akira yamada <akira@debian.org>  Thu, 24 Jul 2003 13:33:29 +0900

ruby1.8 (1.8+0cvs20030721-1) unstable; urgency=low

  * new upstream cvs snapshot.
  * new sub-packages: libxmlrpc-ruby1.8.

 -- akira yamada <akira@debian.org>  Mon, 21 Jul 2003 20:24:12 +0900

ruby1.8 (1.8+0cvs20030710-1) unstable; urgency=low

  * new upstream cvs snapshot.
  * new sub-packages: librexml-ruby1.8 and libdrb-ruby1.8.
  * liberb-ruby1.8 replaces libruby1.8 (<< 1.8+0cvs20030704-1).
    (usr/lib/ruby/1.8/erb* is moved to liberb-ruby1.8 from libruby1.8.)

 -- akira yamada <akira@debian.org>  Fri, 11 Jul 2003 03:08:26 +0900

ruby1.8 (1.8+0cvs20030606-1) unstable; urgency=low

  * new upstream cvs snapshot.
  * build with libgdbm-dev.

 -- akira yamada <akira@debian.org>  Fri,  6 Jun 2003 20:06:02 +0900

ruby1.8 (1.8+0cvs20030524-1) unstable; urgency=low

  * new upstream cvs snapshot.
  * uploaded to Debian, closes: #183120.

 -- akira yamada <akira@debian.org>  Sat, 24 May 2003 00:08:51 +0900

ruby1.8 (1.8+0cvs20030520-0.1) unstable; urgency=low

  * new upstream cvs snapshot.
  * new subpackage: libyaml-ruby1.8.

 -- akira yamada <akira@debian.org>  Tue, 20 May 2003 10:33:57 +0900

ruby1.8 (1.8+0cvs20030506-0.1) unstable; urgency=low

  * new upstream cvs snapshot.
  * included libruby1.8-static.a into ruby1.8-dev package.

 -- akira yamada <akira@debian.org>  Tue,  6 May 2003 17:49:41 +0900

ruby1.8 (1.8+0cvs20030503-0.1) unstable; urgency=low

  * new upstream cvs snapshot.

 -- akira yamada <akira@debian.org>  Sat,  3 May 2003 14:42:41 +0900

ruby1.8 (1.8+0cvs20030424-0.1) unstable; urgency=low

  * new upstream cvs snapshot.

 -- akira yamada <akira@debian.org>  Thu, 24 Apr 2003 18:20:55 +0900

ruby1.8 (1.8+0cvs20030419-0.2) unstable; urgency=low

  * new subpackage liberb-ruby1.8.

 -- akira yamada <akira@debian.org>  Sun, 20 Apr 2003 11:04:43 +0900

ruby1.8 (1.8+0cvs20030419-0.1) unstable; urgency=low

  * new upstream cvs snapshot.

 -- akira yamada <akira@debian.org>  Sat, 19 Apr 2003 22:35:34 +0900

ruby1.8 (1.8+0cvs0.20030413.1-0.1) unstable; urgency=low

  * Initial Release.

 -- akira yamada <akira@debian.org>  Sun, 13 Apr 2003 13:04:13 +0900

